CONFIG_INSTANCE(PARAMETER_CLASS)

#include <fstream>
#include <iostream>
#include <sstream>

#include "gettext.hpp"

CONFIG_DEFAULT(PARAMETER_CLASS)
#undef DEFAULT_PAR
#include "config_macros.hpp"
#include PARAMETER_DEFINES
CONFIG_DEFAULT_DONE

CONFIG_PARSER(PARAMETER_CLASS)
#undef CONFIG_READER
#include "config_macros.hpp"
#include PARAMETER_DEFINES
CONFIG_PARSER_DONE

#ifdef USE_WRITER
CONFIG_WRITER(PARAMETER_CLASS)
#undef CONFIG_WRITER
#include "config_macros.hpp"
#include PARAMETER_DEFINES
CONFIG_WRITER_DONE
#endif
